package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 奖金收益状态  奖金明细表
 */
@AllArgsConstructor
@Getter
public enum EBonusIncomeStatus {

    /**
     * 正常
     */
    NORMAL(0, "正常", 0, EnumsPrefixConstants.BONUS_INCOME_STATUS + "0"),

    /**
     * 停收
     */
    STOP_INCOME(1, "停收", 0, EnumsPrefixConstants.BONUS_INCOME_STATUS + "1"),

    /**
     * 烧伤
     */
    FIRE_BURN(2, "烧伤", 0, EnumsPrefixConstants.BONUS_INCOME_STATUS + "2"),

    /**
     * K值
     */
    RISK_CONTROL(3, "K值", 0, EnumsPrefixConstants.BONUS_INCOME_STATUS + "3"),
    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    public static String getEnumLabelByValue(Integer value) {
        if (null == value) {
            return "";
        }
        for (EBonusIncomeStatus enums : EBonusIncomeStatus.values()) {
            if (enums.getValue() == value) {
                return enums.getLabel();
            }
        }
        return "";
    }

}
